//CE - CS, CL-CLK 13, DI-MOSI 11

#include <SPI.h>
#define LCD_CE_PIN 8

uint8_t i, x;

void setup() {

SPI.begin();
SPI.setClockDivider(SPI_CLOCK_DIV128);
SPI.setBitOrder(MSBFIRST);
pinMode(LCD_CE_PIN, OUTPUT);

}

void loop() {
  
  digitalWrite(LCD_CE_PIN, LOW);
  SPI.transfer(0x44); // передаем адрес устройства
  
  digitalWrite(LCD_CE_PIN, HIGH);
  for (i = 0; i < 3; i++) SPI.transfer(0xFF); //передаем первые 24 бита как 1 (зажигаем все элементы)
  SPI.transfer(0xF0); //еще 8 бит: 4 бита как 1(зажигаем элементы ) и 4 (контрольные биты) в 0
  
  
  digitalWrite(LCD_CE_PIN, LOW); // 
  SPI.transfer(0x44); // передаем адрес устройства

  digitalWrite(LCD_CE_PIN, HIGH);
  for (i = 0; i < 3; i++) SPI.transfer(0xFF); //передаем биты с 29 по 52 бита как 1 (зажигаем все элементы)
  SPI.transfer(0xC1); //еще 8 бит: 2 бита 1(зажигаем) и 6 (контрольные биты): 5 в 0 и 1 в 1-цу 

  delay(500);

  // теперь все тушим
  
  digitalWrite(LCD_CE_PIN, LOW);
  SPI.transfer(0x44);
  
  digitalWrite(LCD_CE_PIN, HIGH);
  for (i = 0; i < 3; i++) SPI.transfer(0x00);
  SPI.transfer(0x00);
  
  digitalWrite(LCD_CE_PIN, LOW);
  SPI.transfer(0x44);

  digitalWrite(LCD_CE_PIN, HIGH);
  for (i = 0; i < 3; i++) SPI.transfer(0x00);
  SPI.transfer(0x01);

  delay(500);
      
}
